import { getCurrentInstance, computed } from "vue";
import memoizeOne from "../../../../../../memoize-one/dist/memoize-one.esm.mjs";
import memoize from "../../../../../../lodash-es/memoize.mjs";
const useCache = () => {
  const props = getCurrentInstance().proxy.$props;
  return computed(() => {
    const _getItemStyleCache = (_, __, ___) => ({});
    return props.perfMode ? memoize(_getItemStyleCache) : memoizeOne(_getItemStyleCache);
  });
};
export {
  useCache
};
